Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 81288 - Use dispatch-conf by default
Summary: Use dispatch-conf by default
Status: VERIFIED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-08 12:59 UTC by Rob
Modified: 2007-01-11 14:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob 2005-02-08 12:59:27 UTC
etc-update is currently the standard .conf file update utility, included with all new installs. However, many newer users do not understand it's usage and everwrite important files with newer versions (i.e. overwriting /etc/fstab with the useless default version). dispatch-conf doesn't prevent them from doing this, but it does make recovery significantly easier. I see no reason, then, why dispatch-conf shouldn't be used by default.

Reproducible: Always
Steps to Reproduce:




I hope this hasn't been suggested anywhere... I checked.
Comment 1 Robert 2005-04-08 16:42:49 UTC
I second this idea.
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-04-26 22:54:36 UTC
dispatch-conf had some large bugs up until last weekend when a new version was released.  I think a lot of people would second this but waiting a while for the new version to reach maturity before making it the default suggested in portage would be pertinent.
Comment 3 Jason Stubbs (RETIRED) gentoo-dev 2005-07-28 07:25:17 UTC
Putting a hold on feature requests for portage as they are drowning out the 
bugs. Most of these features should be available in the next major version of 
portage. But for the time being, they are just drowning out the major bugs and 
delaying the next version's progress. 
 
Any bugs that contain patches and any bugs for etc-update or dispatch-conf can 
be reopened. Sorry, I'm just not good enough with bugzilla. ;) 
Comment 4 Marius Mauch (RETIRED) gentoo-dev 2007-01-11 14:36:30 UTC
Consider this closed as CANTFIX:
There is no 'default' config manager.